Bug 1121020 - RFE: use polkit for systemd DBus API authorization
Summary: RFE: use polkit for systemd DBus API authorization
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1094121 1144010
TreeView+ depends on / blocked
 
Reported: 2014-07-18 07:56 UTC by Jan Safranek
Modified: 2015-03-13 05:06 UTC (History)
8 users (show)

Fixed In Version: systemd-219
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-13 05:06:42 UTC


Attachments (Terms of Use)

Description Jan Safranek 2014-07-18 07:56:16 UTC
Cockpit and OpenLMI system management projects need systemd DBus API [1] to be authorized by polkit instead of plain DBus authorization.

1: http://www.freedesktop.org/wiki/Software/systemd/dbus/

See http://lists.freedesktop.org/archives/systemd-devel/2014-July/021262.html (and whole thread) for more detailed method list.

Comment 1 Stef Walter 2014-09-18 12:53:09 UTC
A patch has landed in systemd git master for polkit support, but it has not yet been released:

http://cgit.freedesktop.org/systemd/systemd/commit/?id=283868e1dcd8ea7475850d9c6e7d4722c473dd50

In addition it does not enable interactive agent based re-reauthorization. systemd upstream would like to create a DBus flag for that, and is being discussed here:

http://lists.freedesktop.org/archives/dbus/2014-September/thread.html

Comment 2 Lennart Poettering 2014-12-09 02:36:10 UTC
Fully implemented in git btw.

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-03-13 05:06:42 UTC
This is part of systemd 219 in F22+.


Note You need to log in before you can comment on or make changes to this bug.